Bug 1263106 - [abrt] nautilus: placement_grid_mark_icon(): nautilus killed by SIGSEGV
[abrt] nautilus: placement_grid_mark_icon(): nautilus killed by SIGSEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:511d05b32ff291505ce2c3cf346...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 03:04 EDT by piio
Modified: 2015-10-07 11:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 11:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.36 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: cgroup (200 bytes, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: core_backtrace (10.10 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: dso_list (27.14 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: environ (1.51 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: exploitable (117 bytes, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: maps (121.34 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: mountinfo (3.72 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: open_fds (3.87 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details
File: var_log_messages (308 bytes, text/plain)
2015-09-15 03:04 EDT, piio
no flags Details

  None (edit)
Description piio 2015-09-15 03:04:11 EDT
Version-Release number of selected component:
nautilus-3.17.91-1.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        nautilus -n
crash_function: placement_grid_mark_icon
executable:     /usr/bin/nautilus
global_pid:     5076
kernel:         4.3.0-0.rc0.git14.2.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 placement_grid_mark_icon at nautilus-canvas-container.c:1529
 #1 redo_layout_internal at nautilus-canvas-container.c:6014
 #3 _g_closure_invoke_va at gclosure.c:864
 #9 gtk_style_context_do_invalidate at gtkstylecontext.c:2413
 #10 gtk_style_context_validate at gtkstylecontext.c:2425
 #11 gtk_css_widget_node_validate at gtkcsswidgetnode.c:135
 #12 gtk_css_node_validate_internal at gtkcssnode.c:1281
 #22 gtk_container_idle_sizer at gtkcontainer.c:1905
 #23 _g_closure_invoke_va at gclosure.c:864
 #25 g_signal_emit_by_name at gsignal.c:3468
Comment 1 piio 2015-09-15 03:04:15 EDT
Created attachment 1073504 [details]
File: backtrace
Comment 2 piio 2015-09-15 03:04:16 EDT
Created attachment 1073505 [details]
File: cgroup
Comment 3 piio 2015-09-15 03:04:18 EDT
Created attachment 1073506 [details]
File: core_backtrace
Comment 4 piio 2015-09-15 03:04:19 EDT
Created attachment 1073507 [details]
File: dso_list
Comment 5 piio 2015-09-15 03:04:21 EDT
Created attachment 1073508 [details]
File: environ
Comment 6 piio 2015-09-15 03:04:22 EDT
Created attachment 1073509 [details]
File: exploitable
Comment 7 piio 2015-09-15 03:04:23 EDT
Created attachment 1073510 [details]
File: limits
Comment 8 piio 2015-09-15 03:04:26 EDT
Created attachment 1073511 [details]
File: maps
Comment 9 piio 2015-09-15 03:04:27 EDT
Created attachment 1073512 [details]
File: mountinfo
Comment 10 piio 2015-09-15 03:04:28 EDT
Created attachment 1073513 [details]
File: namespaces
Comment 11 piio 2015-09-15 03:04:30 EDT
Created attachment 1073514 [details]
File: open_fds
Comment 12 piio 2015-09-15 03:04:31 EDT
Created attachment 1073515 [details]
File: proc_pid_status
Comment 13 piio 2015-09-15 03:04:32 EDT
Created attachment 1073516 [details]
File: var_log_messages
Comment 14 Matthias Clasen 2015-09-24 15:58:20 EDT
Looking at nautilus-canvas-container.c, the other calls to placement_grid_new have a check for the return value being NULL. The one in line 6010 doesn't. And that is what leads to the crash here.
Comment 15 Carlos Soriano 2015-10-07 11:08:46 EDT
Should be fixed for the upcoming 3.18.1 with https://git.gnome.org/browse/nautilus/commit/?id=b189ddf0d35d373f93433725dbdd91d8da6671c4

Note You need to log in before you can comment on or make changes to this bug.